> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Create an invoice schedule

POST https://rest.test.zuora.com/v1/invoice-schedules
Content-Type: application/json

Creates an invoice schedule.

### Limitations

This API operation has the following limitations:

* You can create at most 50 invoice schedule items in one request.

* You can associate at most 10 orders with an invoice schedule in one request.

* You can associate at most 300 subscriptions with an invoice schedule in one
  request, including those contained in orders and separate subscriptions.

**Note**: This operation is available only if you have the Billing Schedule feature enabled.

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/billing-documents/invoice-schedules/post-create-invoice-schedule

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Headers

- `Idempotency-Key` (string, optional) — Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

### Body (application/json)

This endpoint expects a POSTCreateInvoiceScheduleRequest.

- `accountKey` (string, optional) — The ID or number of the account associated with the invoice schedule.
- `additionalSubscriptionsToBill` (list of string, optional) — A list of the numbers of the subscriptions that need to be billed together with the invoice schedule. One invoice schedule can have at most 600 additional subscriptions.
- `invoiceSeparately` (boolean, optional) — Whether the invoice items created from the invoice schedule appears on a separate invoice when Zuora generates invoices.
- `notes` (string, optional) — Comments on the invoice schedule.
- `orders` (list of string, optional) — A list of the IDs or numbers of the orders associated with the invoice schedule. One invoice schedule can be associated with at most 10 orders.
- `scheduleItems` (list of POSTScheduleItemType, optional) — Container for invoice schedule items. One invoice schedule can have at most 50 invoice schedule items.
- `specificSubscriptions` (list of InvoiceScheduleSpecificSubscriptions, optional) — A list of the numbers of specific subscriptions associated with the invoice schedule. * If the subscriptions specified in this field belong to the orders specified in the `orders` field, only the specific subscriptions instead of the orders are associated with the invoice schedule. * If only the `orders` field is specified, all the subscriptions from the order are associated with the invoice schedule. Example: ``` { "orders": [ "O-00000001", "O-00000002" ], "specificSubscriptions": [ { "orderKey": "O-00000001", "subscriptionKey": "S-00000001" } ] } ``` * For the order with number O-00000001, only subscription S-00000001 contained in the order is associated with the invoice schedule. * For the order with number O-00000002, all subscriptions contained in the order are associated with the invoice schedule.

## Response

### 200

OK

- `accountId` (string, optional) — The ID of the customer account that the invoice schedule belongs to.
- `actualAmount` (double, optional) — The actual amount that needs to be billed during the processing of the invoice schedule. By default, the actual amount is the same as the total amount. Even if order changes occur like Remove Product or Cancel Subscription, the value of the `totalAmount` field keeps unchanged. The value of the `actualAmount` field reflects the actual amount to be billed.
- `additionalSubscriptionsToBill` (list of string, optional) — A list of the numbers of the subscriptions that need to be billed together with the invoice schedule. One invoice schedule can have at most 600 additional subscriptions.
- `billedAmount` (double, optional) — The amount that has been billed during the processing of the invoice schedule.
- `currency` (string, optional) — The currency of the billing documents generated during the processing of the invoice schedule. **Note**: - This field is available only if you have the Multiple Currencies feature enabled. * If you have the Multiple Currencies feature disabled, the corresponding account's default currency is always used.
- `id` (string, optional) — The unique ID of the invoice schedule.
- `invoiceSeparately` (boolean, optional) — Whether the invoice items created from the invoice schedule appears on a separate invoice when Zuora generates invoices.
- `nextRunDate` (date, optional) — The run date of the next execution of invoice schedule. By default, the next run date is the same as run date of next pending invoice schedule item. It can be overwritten with a different date other than the default value. When the invoice schedule has completed the execution, the next run date is null.
- `notes` (string, optional) — Comments on the invoice schedule.
- `number` (string, optional) — The sequence number of the invoice schedule.
- `orders` (list of string, optional) — A list of the IDs or numbers of the orders associated with the invoice schedule. One invoice schedule can be associated with at most 10 orders.
- `scheduleItems` (list of ScheduleItemsResponse, optional) — Container for schedule items. One invoice schedule can have at most 50 invoice schedule items.
- `specificSubscriptions` (list of InvoiceScheduleSpecificSubscriptions, optional) — A list of the numbers of specific subscriptions associated with the invoice schedule.
- `status` (enum, optional) — The status of the invoice schedule.
  - Allowed values: `Pending`, `PartiallyProcessed`, `Paused`, `FullyProcessed`
- `totalAmount` (double, optional) — The total amount that needs to be billed during the processing of the invoice schedule. The value of this field keeps unchanged once invoice schedule items are created.
- `unbilledAmount` (double, optional) — The amount that is waiting to be billed during the processing of the invoice schedule.
- `organizationLabel` (string, optional) — Indicates the organization assigned to the Invoice Schedule for multi-org.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### POSTScheduleItemType

Container for custom fields of an Invoice Schedule Item object.

- `amount` (double, optional) — The amount of the invoice to be generated during the processing of the invoice schedule item. You can only specify either the `amount` field or `percentage` field in one request. - If you choose to specify the `amount` field in the request, `null` is returned as the value of the `percentage` field in the corresponding response. - If you choose to specify the `percentage` field in the request, the value of the `amount` field returned in the corresponding response is calculated based on the percentage of the total amount.
- `name` (string, optional) — The name of the invoice schedule item.
- `percentage` (double, optional) — The percentage of the total amount to be billed during the processing of the invoice schedule item. You can only specify either the `amount` field or `percentage` field in one request. - If you choose to specify the `amount` field in the request, `null` is returned as the value of the `percentage` field in the corresponding response. - If you choose to specify the `percentage` field in the request, the value of the `amount` field returned in the corresponding response is calculated based on the percentage of the total amount.
- `runDate` (date, optional) — The date in the tenant’s time zone when the invoice schedule item is planned to be processed to generate an invoice. When specifying run dates for invoice schedule items, consider that: - An invoice schedule item with a blank run date will not be executed. - You can only update the run date for an invoice schedule item in Pending status. - If the run date of an invoice schedule item is left empty, the dates of all subsequent invoice schedule items must also be blank. - You must specify run dates in chronological order for invoice schedule items.
- `targetDateForAdditionalSubscriptions` (date, optional) — The date in the tenant's time zone used by the invoice schedule to determine which fixed-period regular charges to be billed together with the invoice schedule item. The regular charges must come from the subscriptions specified in the `additionalSubscriptionsToBill` field.

### InvoiceScheduleSpecificSubscriptions

- `chargeNumbers` (string, optional) — A list of charges in the subscription that are chosen to be included in the invoice schedule.
- `orderKey` (string, optional) — The unique ID or number of the order associated with the invoice schedule.
- `subscriptionKey` (string, optional) — The unique number of the subscription contained in the order associated with the invoice schedule.

### ScheduleItemsResponse

Container for custom fields of an Invoice Schedule Item object.

- `actualAmount` (string, optional) — The actual amount that needs to be billed during the processing of the invoice schedule item. By default, the actual amount is the same as the total amount. Even if order changes occur like Remove Product or Cancel Subscription, the value of the `amount` field keeps unchanged. The value of the `actualAmount` field reflects the actual amount to be billed.
- `amount` (string, optional) — The amount of the invoice generated during the processing of the invoice schedule item. You can only specify either the `amount` field or `percentage` field in one request. - If you choose to specify the `amount` field in the request, `null` is returned as the value of the `percentage` field in the corresponding response. - If you choose to specify the `percentage` field in the request, the value of the `amount` field returned in the corresponding response is calculated based on the percentage of the total amount. The value of this field keeps unchanged once invoice schedule items are created.
- `creditMemoId` (string, optional) — The ID of the credit memo that is generated during the processing of the invoice schedule item.
- `id` (string, optional) — The unique ID of the invoice schedule item.
- `invoiceId` (string, optional) — The ID of the invoice that is generated during the processing of the invoice schedule item.
- `name` (string, optional) — The name of the invoice schedule item.
- `percentage` (any, optional) — The percentage of the total amount to be billed during the processing of the invoice schedule item. You can only specify either the `amount` field or `percentage` field in one request. - If you choose to specify the `amount` field in the request, `null` is returned as the value of the `percentage` field in the corresponding response. - If you choose to specify the `percentage` field in the request, the value of the `amount` field returned in the corresponding response is calculated based on the percentage of the total amount.
- `runDate` (date, optional) — The date in the tenant’s time zone when the invoice schedule item is processed to generate an invoice.
- `status` (enum, optional) — The status of the invoice schedule item.
  - Allowed values: `Pending`, `Executing`, `Processed`
- `targetDateForAdditionalSubscriptions` (date, optional) — The date in the tenant's time zone used by the invoice schedule to determine which fixed-period regular charges to be billed together with the invoice schedule item. The regular charges must come from the subscriptions specified in the `additionalSubscriptionsToBill` field.
- `organizationLabel` (string, optional) — Indicates the organization assigned to the Invoice Schedule Item for multi-org.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

## Examples

**Request**

```json
{
  "accountKey": "A00000007",
  "additionalSubscriptionsToBill": [
    "S-00000001",
    "S-00000002"
  ],
  "invoiceSeparately": false,
  "notes": "2022 Billing Schedule",
  "orders": [
    "O-00000007",
    "O-00000008"
  ],
  "scheduleItems": [
    {
      "amount": 50000,
      "runDate": "2022-02-24",
      "targetDateForAdditionalSubscriptions": "2022-02-24"
    },
    {
      "amount": 14000,
      "runDate": "2022-10-17",
      "targetDateForAdditionalSubscriptions": "2022-10-17"
    },
    {
      "amount": 6200,
      "runDate": "2022-11-14",
      "targetDateForAdditionalSubscriptions": "2022-11-14"
    }
  ],
  "specificSubscriptions": [
    {
      "orderKey": "O-00000008",
      "subscriptionKey": "S-00000008"
    }
  ]
}
```

**Response**

```json
{
  "actualAmount": 70200,
  "additionalSubscriptionsToBill": [
    "S-00000001",
    "S-00000002"
  ],
  "billedAmount": 0,
  "currency": "USD",
  "id": "e2441b3e24eb42859194be7da2403b38",
  "invoiceSeparately": false,
  "nextRunDate": "2022-02-24",
  "notes": "2022 Billing Schedule",
  "number": "IS-00000004",
  "orders": [
    "O-00000007",
    "O-00000008"
  ],
  "scheduleItems": [
    {
      "actualAmount": "50000",
      "amount": "50000",
      "id": "8a8881aa82118bec018211daf9f01680",
      "percentage": null,
      "runDate": "2022-02-24",
      "status": "Pending",
      "targetDateForAdditionalSubscriptions": "2022-02-24"
    },
    {
      "actualAmount": "14000",
      "amount": "14000",
      "id": "8a8881aa82118bec018211daf9f11681",
      "percentage": null,
      "runDate": "2022-10-17",
      "status": "Pending",
      "targetDateForAdditionalSubscriptions": "2022-10-17"
    },
    {
      "actualAmount": "6200",
      "amount": "6200",
      "id": "8a8881aa82118bec018211daf9f11682",
      "percentage": null,
      "runDate": "2022-11-14",
      "status": "Pending",
      "targetDateForAdditionalSubscriptions": "2022-11-14"
    }
  ],
  "specificSubscriptions": [
    {
      "orderKey": "O-00000008",
      "subscriptionKey": "S-00000008"
    }
  ],
  "status": "Pending",
  "totalAmount": 70200,
  "unbilledAmount": 70200,
  "success": true
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/invoice-schedules"

payload = {
    "accountKey": "A00000007",
    "additionalSubscriptionsToBill": ["S-00000001", "S-00000002"],
    "invoiceSeparately": False,
    "notes": "2022 Billing Schedule",
    "orders": ["O-00000007", "O-00000008"],
    "scheduleItems": [
        {
            "amount": 50000,
            "runDate": "2022-02-24",
            "targetDateForAdditionalSubscriptions": "2022-02-24"
        },
        {
            "amount": 14000,
            "runDate": "2022-10-17",
            "targetDateForAdditionalSubscriptions": "2022-10-17"
        },
        {
            "amount": 6200,
            "runDate": "2022-11-14",
            "targetDateForAdditionalSubscriptions": "2022-11-14"
        }
    ],
    "specificSubscriptions": [
        {
            "orderKey": "O-00000008",
            "subscriptionKey": "S-00000008"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/invoice-schedules';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"accountKey":"A00000007","additionalSubscriptionsToBill":["S-00000001","S-00000002"],"invoiceSeparately":false,"notes":"2022 Billing Schedule","orders":["O-00000007","O-00000008"],"scheduleItems":[{"amount":50000,"runDate":"2022-02-24","targetDateForAdditionalSubscriptions":"2022-02-24"},{"amount":14000,"runDate":"2022-10-17","targetDateForAdditionalSubscriptions":"2022-10-17"},{"amount":6200,"runDate":"2022-11-14","targetDateForAdditionalSubscriptions":"2022-11-14"}],"specificSubscriptions":[{"orderKey":"O-00000008","subscriptionKey":"S-00000008"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/invoice-schedules"

	payload := strings.NewReader("{\n  \"accountKey\": \"A00000007\",\n  \"additionalSubscriptionsToBill\": [\n    \"S-00000001\",\n    \"S-00000002\"\n  ],\n  \"invoiceSeparately\": false,\n  \"notes\": \"2022 Billing Schedule\",\n  \"orders\": [\n    \"O-00000007\",\n    \"O-00000008\"\n  ],\n  \"scheduleItems\": [\n    {\n      \"amount\": 50000,\n      \"runDate\": \"2022-02-24\",\n      \"targetDateForAdditionalSubscriptions\": \"2022-02-24\"\n    },\n    {\n      \"amount\": 14000,\n      \"runDate\": \"2022-10-17\",\n      \"targetDateForAdditionalSubscriptions\": \"2022-10-17\"\n    },\n    {\n      \"amount\": 6200,\n      \"runDate\": \"2022-11-14\",\n      \"targetDateForAdditionalSubscriptions\": \"2022-11-14\"\n    }\n  ],\n  \"specificSubscriptions\": [\n    {\n      \"orderKey\": \"O-00000008\",\n      \"subscriptionKey\": \"S-00000008\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/invoice-schedules")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"accountKey\": \"A00000007\",\n  \"additionalSubscriptionsToBill\": [\n    \"S-00000001\",\n    \"S-00000002\"\n  ],\n  \"invoiceSeparately\": false,\n  \"notes\": \"2022 Billing Schedule\",\n  \"orders\": [\n    \"O-00000007\",\n    \"O-00000008\"\n  ],\n  \"scheduleItems\": [\n    {\n      \"amount\": 50000,\n      \"runDate\": \"2022-02-24\",\n      \"targetDateForAdditionalSubscriptions\": \"2022-02-24\"\n    },\n    {\n      \"amount\": 14000,\n      \"runDate\": \"2022-10-17\",\n      \"targetDateForAdditionalSubscriptions\": \"2022-10-17\"\n    },\n    {\n      \"amount\": 6200,\n      \"runDate\": \"2022-11-14\",\n      \"targetDateForAdditionalSubscriptions\": \"2022-11-14\"\n    }\n  ],\n  \"specificSubscriptions\": [\n    {\n      \"orderKey\": \"O-00000008\",\n      \"subscriptionKey\": \"S-00000008\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://rest.test.zuora.com/v1/invoice-schedules")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"accountKey\": \"A00000007\",\n  \"additionalSubscriptionsToBill\": [\n    \"S-00000001\",\n    \"S-00000002\"\n  ],\n  \"invoiceSeparately\": false,\n  \"notes\": \"2022 Billing Schedule\",\n  \"orders\": [\n    \"O-00000007\",\n    \"O-00000008\"\n  ],\n  \"scheduleItems\": [\n    {\n      \"amount\": 50000,\n      \"runDate\": \"2022-02-24\",\n      \"targetDateForAdditionalSubscriptions\": \"2022-02-24\"\n    },\n    {\n      \"amount\": 14000,\n      \"runDate\": \"2022-10-17\",\n      \"targetDateForAdditionalSubscriptions\": \"2022-10-17\"\n    },\n    {\n      \"amount\": 6200,\n      \"runDate\": \"2022-11-14\",\n      \"targetDateForAdditionalSubscriptions\": \"2022-11-14\"\n    }\n  ],\n  \"specificSubscriptions\": [\n    {\n      \"orderKey\": \"O-00000008\",\n      \"subscriptionKey\": \"S-00000008\"\n    }\n  ]\n}")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://rest.test.zuora.com/v1/invoice-schedules', [
  'body' => '{
  "accountKey": "A00000007",
  "additionalSubscriptionsToBill": [
    "S-00000001",
    "S-00000002"
  ],
  "invoiceSeparately": false,
  "notes": "2022 Billing Schedule",
  "orders": [
    "O-00000007",
    "O-00000008"
  ],
  "scheduleItems": [
    {
      "amount": 50000,
      "runDate": "2022-02-24",
      "targetDateForAdditionalSubscriptions": "2022-02-24"
    },
    {
      "amount": 14000,
      "runDate": "2022-10-17",
      "targetDateForAdditionalSubscriptions": "2022-10-17"
    },
    {
      "amount": 6200,
      "runDate": "2022-11-14",
      "targetDateForAdditionalSubscriptions": "2022-11-14"
    }
  ],
  "specificSubscriptions": [
    {
      "orderKey": "O-00000008",
      "subscriptionKey": "S-00000008"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/invoice-schedules");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"accountKey\": \"A00000007\",\n  \"additionalSubscriptionsToBill\": [\n    \"S-00000001\",\n    \"S-00000002\"\n  ],\n  \"invoiceSeparately\": false,\n  \"notes\": \"2022 Billing Schedule\",\n  \"orders\": [\n    \"O-00000007\",\n    \"O-00000008\"\n  ],\n  \"scheduleItems\": [\n    {\n      \"amount\": 50000,\n      \"runDate\": \"2022-02-24\",\n      \"targetDateForAdditionalSubscriptions\": \"2022-02-24\"\n    },\n    {\n      \"amount\": 14000,\n      \"runDate\": \"2022-10-17\",\n      \"targetDateForAdditionalSubscriptions\": \"2022-10-17\"\n    },\n    {\n      \"amount\": 6200,\n      \"runDate\": \"2022-11-14\",\n      \"targetDateForAdditionalSubscriptions\": \"2022-11-14\"\n    }\n  ],\n  \"specificSubscriptions\": [\n    {\n      \"orderKey\": \"O-00000008\",\n      \"subscriptionKey\": \"S-00000008\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "accountKey": "A00000007",
  "additionalSubscriptionsToBill": ["S-00000001", "S-00000002"],
  "invoiceSeparately": false,
  "notes": "2022 Billing Schedule",
  "orders": ["O-00000007", "O-00000008"],
  "scheduleItems": [
    [
      "amount": 50000,
      "runDate": "2022-02-24",
      "targetDateForAdditionalSubscriptions": "2022-02-24"
    ],
    [
      "amount": 14000,
      "runDate": "2022-10-17",
      "targetDateForAdditionalSubscriptions": "2022-10-17"
    ],
    [
      "amount": 6200,
      "runDate": "2022-11-14",
      "targetDateForAdditionalSubscriptions": "2022-11-14"
    ]
  ],
  "specificSubscriptions": [
    [
      "orderKey": "O-00000008",
      "subscriptionKey": "S-00000008"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/invoice-schedules")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```